function DBF_DISPLAY(formname,source_field,target_fields){
	this.formname = formname;
	this.source_field = source_field;
	this.target_fields = target_fields;
	this.field_div_prefix = 'dbfdiv';
	this.show = showField;
	this.hide = hideField;
	this.display_relations = displayRelations;
	this.get_formname = getFormname;
	this.get_source_field = getSourceField;
	this.process = processField;

	function showField(div_id){
		$(div_id).show();
	}

	function hideField(div_id){
		$(div_id).hide();
	}
	
	function processField(){
		this.display_relations();
	}
	
	function displayRelations(){
		for(i=0;i<this.target_fields.length;i++){
		    var item = this.target_fields[i];
		    var item_name = item[0];
		    var item_condition = item[1];
		    var item_show = (item[2] == 'show')?true:false;
		    div = this.field_div_prefix + '' + item_name;
		    var source_value = document.forms[this.get_formname()].elements[this.get_source_field()].value;
		    if(source_value == item_condition){
			if(item_show){
			    this.show(div);
			}else{
			    this.hide(div);
			}
		    }else{
			if(!item_show){
			    this.show(div);
			}else{
			    this.hide(div);
			}
		    }
		}
	} 
	
	function getFormname(){
		return this.formname;
	}
	
	function getSourceField(){
		return this.source_field;
	}
}

function processDBF_DISPLAY(){
	if(dbf_display_handler.length > 0){
		for(i=0;i<dbf_display_handler.length;i++){
			dbf_display_handler[i].process();
		}
	}
}

function call_helper(src_element,formtarget_element,function_name){
}